package com.sipai.jspatrol.Bean;

import java.io.Serializable;
import java.util.List;

/**
 * created by lvliming on 2020/3/23
 * 人员
 */
public class User extends BaseEntity implements Serializable {
    private UserDetail userDetail;
    private String sex;
    private String currentip;
    private String pid;
    private String caption;
    private String syncflag;
    private String password;
    private String insuser;
    private int morder;
    private String cardid;
    private String officeroom;
    private String id;
    private int pri;
    private String lastlogintime;
    private String officephone;
    private String useremail;
    private String roles;
    private String name;
    private String pname;
    private String active;
    private double totaltime;
    private String themeclass;
    private String serial;
    private int lgnum;
    private String token;
    private String patrolTypeId;
    private String nfc;
    private String subTask;

    public String getSubTask() {
        return subTask;
    }

    public void setSubTask(String subTask) {
        this.subTask = subTask;
    }

    public String getPatrolTypeId() {
        return patrolTypeId;
    }

    public void setPatrolTypeId(String patrolTypeId) {
        this.patrolTypeId = patrolTypeId;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public void setUserDetail(UserDetail userDetail) {
        this.userDetail = userDetail;
    }
    public UserDetail getUserDetail() {
        return userDetail;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getSex() {
        return sex;
    }

    public void setCurrentip(String currentip) {
        this.currentip = currentip;
    }
    public String getCurrentip() {
        return currentip;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }
    public String getPid() {
        return pid;
    }

    public void setCaption(String caption) {
        this.caption = caption;
    }
    public String getCaption() {
        return caption;
    }

    public void setSyncflag(String syncflag) {
        this.syncflag = syncflag;
    }
    public String getSyncflag() {
        return syncflag;
    }

    public void setPassword(String password) {
        this.password = password;
    }
    public String getPassword() {
        return password;
    }

    public void setInsuser(String insuser) {
        this.insuser = insuser;
    }
    public String getInsuser() {
        return insuser;
    }

    public void setMorder(int morder) {
        this.morder = morder;
    }
    public int getMorder() {
        return morder;
    }

    public void setCardid(String cardid) {
        this.cardid = cardid;
    }
    public String getCardid() {
        return cardid;
    }

    public void setOfficeroom(String officeroom) {
        this.officeroom = officeroom;
    }
    public String getOfficeroom() {
        return officeroom;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getId() {
        return id;
    }

    public void setPri(int pri) {
        this.pri = pri;
    }
    public int getPri() {
        return pri;
    }

    public void setLastlogintime(String lastlogintime) {
        this.lastlogintime = lastlogintime;
    }
    public String getLastlogintime() {
        return lastlogintime;
    }

    public void setOfficephone(String officephone) {
        this.officephone = officephone;
    }
    public String getOfficephone() {
        return officephone;
    }

    public void setUseremail(String useremail) {
        this.useremail = useremail;
    }
    public String getUseremail() {
        return useremail;
    }

    public String getRoles() {
        return roles;
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getName() {
        return name;
    }

    public void setPname(String pname) {
        this.pname = pname;
    }
    public String getPname() {
        return pname;
    }

    public void setActive(String active) {
        this.active = active;
    }
    public String getActive() {
        return active;
    }

    public void setTotaltime(double totaltime) {
        this.totaltime = totaltime;
    }
    public double getTotaltime() {
        return totaltime;
    }

    public void setThemeclass(String themeclass) {
        this.themeclass = themeclass;
    }
    public String getThemeclass() {
        return themeclass;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }
    public String getSerial() {
        return serial;
    }

    public void setLgnum(int lgnum) {
        this.lgnum = lgnum;
    }
    public int getLgnum() {
        return lgnum;
    }

    public String getNfc() {
        return nfc;
    }

    public void setNfc(String nfc) {
        this.nfc = nfc;
    }
}
